import PersistentKeyValueCache from '../../plugins/key_value_cache/persistentKeyValueCache';
/**
 * A key value store which stores objects of type T with string keys
 */
export declare class ReactNativeEventsStore<T> {
    private maxSize;
    private storeKey;
    private synchronizer;
    private cache;
    constructor(maxSize: number, storeKey: string, cache?: PersistentKeyValueCache);
    set(key: string, event: T): Promise<string>;
    get(key: string): Promise<T>;
    getEventsMap(): Promise<{
        [key: string]: T;
    }>;
    getEventsList(): Promise<T[]>;
    remove(key: string): Promise<void>;
    clear(): Promise<void>;
}
