import { JSONSchema4 } from 'json-schema';
/**
 * Validate the given json object against the specified schema
 * @param {unknown} jsonObject The object to validate against the schema
 * @param {JSONSchema4} validationSchema Provided schema to use for validation
 * @param {boolean} shouldThrowOnError Should validation throw if invalid JSON object
 * @return {boolean} true if the given object is valid; throws or false if invalid
 */
export declare function validate(jsonObject: unknown, validationSchema?: JSONSchema4, shouldThrowOnError?: boolean): boolean;
