/**
 * Copyright 2022, Optimizely
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/**
 * CacheElement represents an individual generic item within the LRUCache
 */
export declare class CacheElement<V> {
    private _value;
    private _time;
    get value(): V | null;
    get time(): number;
    constructor(value?: V | null);
    is_stale(timeout: number): boolean;
}
export default CacheElement;
